%define anolis_release 1

%global srcname pycosat
%global pkgdesc \
PicoSAT is a popular SAT solver written by Armin Biere in pure C. This \
package provides efficient Python bindings to picosat on the C level, i.e. \
when importing pycosat, the picosat solver becomes part of the Python process \
itself.

Name:           python-%{srcname}
Version:        0.6.6
Release:        %{anolis_release}%{?dist}
Summary:        Python bindings to picosat (a SAT solver)

License:        MIT
URL:            https://github.com/conda/pycosat
Source0:        https://github.com/conda/pycosat/archive/refs/tags/%{srcname}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  picosat-devel

%description
%{pkgdesc}

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        Python bindings to picosat (a SAT solver)
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-pytest
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
%{pkgdesc}

%package -n python%{python3_pkgversion}-%{srcname}-doc
Summary: Doc files for python%{python3_pkgversion}-%{srcname}
BuildArch: noarch
Requires: python%{python3_pkgversion}-%{srcname} = %{EVR}

%description -n python%{python3_pkgversion}-%{srcname}-doc
Doc files for python%{python3_pkgversion}-%{srcname}

%prep
%setup -q -n %{srcname}-%{version}
sed -i -e s/distutils.core/setuptools/ setup.py
rm picosat.*

# upstream only applies proper flags when build is invoked with --inplace
sed -i "s/if .--inplace. in sys.argv:/if True:/" setup.py

%build
%py3_build

%install
%py3_install

%check
PYTHONPATH=%{buildroot}%{python3_sitearch} py.test-%{python3_version} -vv

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%{python3_sitearch}/*

%files -n python%{python3_pkgversion}-%{srcname}-doc
%doc AUTHORS.md CHANGELOG.md README.rst

%changelog
* Wed Nov 29 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.6.6-1
- init from upstream
